## glome 0.3.0

=== meson_options.txt ===
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      https:#www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

option('tests', type: 'boolean', description: 'Build tests')
option('pam-glome', type: 'boolean', description: 'Build glome PAM module')
option('glome-cli', type: 'boolean', description: 'Build glome CLI tool')

=== python/requirements.txt ===
cryptography >= 2.5
hypothesis  # tests

## glome 0.1

=== debian/changelog ===
glome (0.1-4) unstable; urgency=medium

  * Update patches to match upstream changes
  * Fix failing autopkgtest for login
  * Add Multi-Arch metadata
  * Update Standards-Version to 4.7.0

 -- Valentin Vidic <vvidic@debian.org>  Fri, 21 Feb 2025 21:54:47 +0100

glome (0.1-3) unstable; urgency=medium

  [ Michael Biebl ]
  * Install library and PAM module into /usr. (Closes: #1065676)

  [ Valentin Vidic ]
  * Add package test for glome-login binary
  * Add gbp.conf configuration for Debian

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 Mar 2024 11:28:46 +0100

glome (0.1-2) unstable; urgency=medium

  * Add package test for PAM module
  * Fix handling of the prefix bit
  * Remove debian/files from git repo

 -- Valentin Vidic <vvidic@debian.org>  Wed, 06 Mar 2024 23:10:56 +0100

glome (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1064429)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 22 Feb 2024 00:38:19 +0100

=== debian/control ===
Source: glome
Section: admin
Priority: optional
Maintainer: Valentin Vidic <vvidic@debian.org>
Uploaders: Philipp Kern <pkern@debian.org>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libpam-wrapper,
               libpam0g-dev,
               libpamtest0-dev,
               libssl-dev,
               meson
Standards-Version: 4.7.0
Homepage: https://github.com/google/glome
Vcs-Browser: https://salsa.debian.org/debian/glome
Vcs-Git: https://salsa.debian.org/debian/glome.git
Rules-Requires-Root: no

Package: glome-common
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generic Low Overhead Message Exchange common files
 Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
 authentication and authorization for low dependency environments.
 .
 This package contains documentation and example configuration files.

Package: glome-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generic Low Overhead Message Exchange command line tools
 Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
 authentication and authorization for low dependency environments.
 .
 This package contains the CLI utility for interacting with the core GLOME
 protocol.

Package: glome-login
Architecture: any
Depends: glome-common, ${misc:Depends}, ${shlibs:Depends}
Description: Generic Low Overhead Message Exchange login daemon
 Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
 authentication and authorization for low dependency environments.
 .
 This package contains a replacement for login(1) implementing the GLOME Login
 protocol.

Package: libglome0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generic Low Overhead Message Exchange shared library
 Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
 authentication and authorization for low dependency environments.
 .
 This package contains GLOME's shared library.

Package: libglome-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generic Low Overhead Message Exchange development files
 Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
 authentication and authorization for low dependency environments.
 .
 This package contains development files for GLOME's shared library.

Package: libpam-glome
Architecture: any
Depends: glome-common, ${misc:Depends}, ${shlibs:Depends}
Description: Generic Low Overhead Message Exchange PAM module
 Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
 authentication and authorization for low dependency environments.
 .
 This package contains a PAM module implementing the GLOME Login protocol.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

=== debian/tests/control ===
Depends: libpam-glome, glome-cli, openssh-server, expect
Restrictions: needs-root
Tests: pam

Depends: glome-login, glome-cli, expect
Restrictions: needs-root
Tests: login

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%glome-$1.tar.gz%" \
   https://github.com/google/glome/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## glome 0.2

=== debian/changelog ===
glome (0.2-2) unstable; urgency=medium

  [ Philipp Kern ]
  * Let login autopkgtest depend on the login package

 -- Valentin Vidic <vvidic@debian.org>  Wed, 07 May 2025 00:16:37 +0200

glome (0.2-1) unstable; urgency=medium

  * New upstream version 0.2
  * Refresh patches for new version
  * Use Rust version of glome-cli
  * Update Standards-Version to 4.7.2
  * Cleanup unused substitution variables

 -- Valentin Vidic <vvidic@debian.org>  Tue, 06 May 2025 23:47:52 +0200

## glome 0.3.0

=== debian/changelog ===
glome (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Refresh patches for new version
  * Ignore BLHC failure for Rust part of the build

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Jul 2025 21:05:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,24 @@
 Priority: optional
 Maintainer: Valentin Vidic <vvidic@debian.org>
 Uploaders: Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cargo:native,
+               debhelper-compat (= 13),
+               dh-sequence-cargo,
                libglib2.0-dev,
-               libpam-wrapper,
                libpam0g-dev,
                libpamtest0-dev,
+               libpam-wrapper,
+               librust-base64-dev,
+               librust-clap-derive-dev,
+               librust-clap-dev,
+               librust-hmac-dev,
+               librust-sha2-dev,
+               librust-x25519-dalek-dev,
                libssl-dev,
-               meson
-Standards-Version: 4.7.0
+               libstd-rust-dev,
+               meson,
+               rustc:native (>= 1.74),
+Standards-Version: 4.7.2
 Homepage: https://github.com/google/glome
 Vcs-Browser: https://salsa.debian.org/debian/glome
 Vcs-Git: https://salsa.debian.org/debian/glome.git
@@ -19,22 +29,12 @@
 Package: glome-common
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Generic Low Overhead Message Exchange common files
  Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
  authentication and authorization for low dependency environments.
  .
  This package contains documentation and example configuration files.
-
-Package: glome-cli
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Generic Low Overhead Message Exchange command line tools
- Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
- authentication and authorization for low dependency environments.
- .
- This package contains the CLI utility for interacting with the core GLOME
- protocol.
 
 Package: glome-login
 Architecture: any
@@ -61,7 +61,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Generic Low Overhead Message Exchange development files
  Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
  authentication and authorization for low dependency environments.
@@ -76,3 +76,15 @@
  authentication and authorization for low dependency environments.
  .
  This package contains a PAM module implementing the GLOME Login protocol.
+
+Package: glome-cli
+Architecture: any
+Built-Using: ${cargo:Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Generic Low Overhead Message Exchange command line tools
+ Generic Low Overhead Message Exchange (GLOME) is a protocol providing secure
+ authentication and authorization for low dependency environments.
+ .
+ This package contains the CLI utility for interacting with the core GLOME
+ protocol.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	ln -s rust/Cargo.toml Cargo.toml
	dh $@
	rm Cargo.toml

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=meson -- -D glome-cli=false
	dh_auto_configure -O--buildsystem=cargo

override_dh_auto_build:
	dh_auto_build -O--buildsystem=meson
	dh_auto_build -O--buildsystem=cargo

override_dh_auto_test:
	dh_auto_test -O--buildsystem=meson
	dh_auto_test -O--buildsystem=cargo

override_dh_auto_install:
	dh_auto_install -O--buildsystem=meson
	dh_auto_install -O--buildsystem=cargo -- --features=cli

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=meson
	dh_auto_clean -O--buildsystem=cargo

=== debian/tests/control ===
Depends: libpam-glome, glome-cli, openssh-server, expect
Restrictions: needs-root
Tests: pam

Depends: glome-login, glome-cli, login, expect
Restrictions: needs-root
Tests: login
